import java.io.*;

public class BufferedSample {
  public static void main(String[] args) {
    BufferedReader br = null;
    BufferedWriter bw = null;
    try {
      br = new BufferedReader(new InputStreamReader(new FileInputStream(args[0]), "Shift_JIS"));
      bw = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(args[1]), "Shift_JIS"));

      int data;
      while((data = br.read()) != -1) {
        System.out.print(data);
        System.out.print(" : ");
        System.out.println((char)data);
        bw.write(data);
      }
    } catch(IOException e) {
      System.err.println("t@C̓ǂݏɃG[܂");
      e.printStackTrace();
    } finally {
      if(br != null) {
        try {
          br.close();
        } catch(IOException e) {
          e.printStackTrace();
        }
      }
      if(bw != null) {
        try {
          bw.close();
        } catch(IOException e) {
          e.printStackTrace();
        }
      }
    }
  }
}